Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 827580 - Unlock the PIN
: Unlock the PIN
u=patron c=pmt p=1
Product: Marketplace
Classification: Server Software
Component: Payments/Refunds (show other bugs)
: 1.0
: x86 Mac OS X
: P2 normal (vote)
: 2013-01-17
Assigned To: Wraithan (Chris McDonald) [:wraithan]
Depends on:
Blocks: 797930
  Show dependency treegraph
Reported: 2013-01-07 15:50 PST by Andy McKay [:andym]
Modified: 2013-06-28 07:54 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Description Andy McKay [:andym] 2013-01-07 15:50:33 PST
In bug 797930 we locked the PIN down, but we never unlock it. Suggestion in IRC was to only keep the lock around for some time period (eg. 10 mins). An attempt after that time period, would reset the counter and after a number of unsuccessful attempts lock them out. And let this continue indefinitely.

What say you @rforbes?
Comment 1 Wil Clouser [:clouserw] 2013-01-07 17:04:25 PST
Lets make it an hour to keep this bug moving.  If rforbes wants something else we can make it that, but should be easy to change.
Comment 2 Raymond Forbes[:rforbes] 2013-01-08 01:13:26 PST
an hour is fine, but 10 minutes is fine as well.  anything over say 5 minutes is fine with me.
Comment 3 Wraithan (Chris McDonald) [:wraithan] 2013-01-08 06:59:44 PST
I'm going to opt for 10 minutes then. Hour seems unreasonable from the user's point of view.
Comment 4 Wraithan (Chris McDonald) [:wraithan] 2013-01-08 07:28:48 PST

@andym had already written this with 10 min lockout. Merged.
Comment 5 Victor Carciu 2013-06-28 07:54:11 PDT
Verified as fixed. The lockout is 5 minutes and it is working.

Note You need to log in before you can comment on or make changes to this bug.